commit:     fa7f597ba19b06ec12abba16a6d1e260d85f5d35
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 06:49:51 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 07:21:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa7f597b

dev-python/pygit2: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest            |  1 +
 dev-python/pygit2/pygit2-1.3.0.ebuild | 42 +++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 9df217f325d..5a058e304a9 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
 DIST pygit2-1.2.1.tar.gz 235852 BLAKE2B 
997c54359c87bdbb5338d6524ca119a058a2dfa9ec5079abfeac5e3f1312e7fe0b6a532cf3dcea6a2b317124337746b9e4fbaa71585bc88a8afa37f8b74a7f97
 SHA512 
2491892e50d9298d68c2f90b3c4b23c87e51995ccc29e285eb2f868f5e34d2568d5f554818203bf2c735179aeb197e3b7aba1be88e72a6526812e3ee2e0b4348
+DIST pygit2-1.3.0.tar.gz 243399 BLAKE2B 
273d678b1681bbe969282ed10af640a59d99c421d32f6d25cf7374a6b018fb52f92337929a24bd9348085fb4f359561d21b51728ce66d73a5ee7089eef9b7b4c
 SHA512 
297c6aef27019ca540d7ec9c26da7a5e870a7e5c2e06daa1a038023c4ab32c800b2494970e41a3d576e17e1d2c33402c3116389d9e2ebe1c2def0ba529dbde71

diff --git a/dev-python/pygit2/pygit2-1.3.0.ebuild 
b/dev-python/pygit2/pygit2-1.3.0.ebuild
new file mode 100644
index 00000000000..60403565fb1
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.3.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       =dev-libs/libgit2-1.0*
+       dev-python/cached-property[${PYTHON_USEDEP}]
+       >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+
+       # we need to move them away to prevent pytest from forcing '..'
+       # for imports
+       mkdir hack || die
+       mv test hack/ || die
+       ln -s hack/test test || die
+}
+
+python_test() {
+       pytest -vv hack/test || die
+}

Reply via email to